org.apache.jasper.compiler

## Class AntCompiler.JasperAntLogger

- java.lang.Object
- - org.apache.tools.ant.DefaultLogger
  - - org.apache.jasper.compiler.AntCompiler.JasperAntLogger

All Implemented Interfaces:
  EventListener, org.apache.tools.ant.BuildListener, org.apache.tools.ant.BuildLogger

Enclosing class:
  AntCompiler

    public static class AntCompiler.JasperAntLogger
    extends org.apache.tools.ant.DefaultLogger

### Field Summary

Fields
`protected StringBuilder` `reportBuf`

### Fields inherited from class org.apache.tools.ant.DefaultLogger

`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

### Constructor Summary

Constructors
Constructor and Description
`AntCompiler.JasperAntLogger()`

### Method Summary

Methods
`protected String` `getReport()`
`protected void` `log(String message)`
`protected void` `printMessage(String message, PrintStream stream, int priority)`

### Methods inherited from class org.apache.tools.ant.DefaultLogger

`buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getTimestamp, messageLogged, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### reportBuf

    protected StringBuilder reportBuf

### Constructor Detail

#### AntCompiler.JasperAntLogger

    public AntCompiler.JasperAntLogger()

### Method Detail

#### printMessage

    protected void printMessage(String message,
                    PrintStream stream,
                    int priority)

Overrides:
  `printMessage` in class `org.apache.tools.ant.DefaultLogger`

#### log

    protected void log(String message)

Overrides:
  `log` in class `org.apache.tools.ant.DefaultLogger`

#### getReport

    protected String getReport()